# Uses of Interface
com.usatiuk.dhfs.refcount.JDataRef

Packages that use JDataRef
Package
Description
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.dhfs.jmap
com.usatiuk.dhfs.refcount
com.usatiuk.dhfs.remoteobj

## Uses of JDataRef in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return types with arguments of type JDataRef
Modifier and Type
Method
Description
`org.pcollections.PCollection<JDataRef>`
JKleppmannTreeNodeHolder.`refsFrom()`
Returns the value of the `refsFrom` record component.
`org.pcollections.PCollection<JDataRef>`
JKleppmannTreePersistentData.`refsFrom()`
Returns the value of the `refsFrom` record component.
Method parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JDataRef
Modifier and Type
Method
Description
`JKleppmannTreeNodeHolder`
JKleppmannTreeNodeHolder.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`
`JKleppmannTreePersistentData`
JKleppmannTreePersistentData.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`
Constructor parameters in com.usatiuk.dhfs.jkleppmanntree.structs with type arguments of type JDataRef
Modifier
Constructor
Description
``
`JKleppmannTreeNodeHolder(org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, JKleppmannTreeNode node)`
Creates an instance of a `JKleppmannTreeNodeHolder` record class.
``
`JKleppmannTreePersistentData(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, long clock, org.pcollections.PMap<PeerId,org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>>> queues, org.pcollections.PMap<PeerId,Long> peerTimestampLog, org.pcollections.PSortedMap<CombinedTimestamp<Long,PeerId>,LogRecord<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>> log)`
Creates an instance of a `JKleppmannTreePersistentData` record class.

## Uses of JDataRef in com.usatiuk.dhfs.jmap

Classes in com.usatiuk.dhfs.jmap that implement JDataRef
Modifier and Type
Class
Description
`final record`
`JMapRef`
Methods in com.usatiuk.dhfs.jmap with parameters of type JDataRef
Modifier and Type
Method
Description
`int`
JMapRef.`compareTo(JDataRef o)`

## Uses of JDataRef in com.usatiuk.dhfs.refcount

Classes in com.usatiuk.dhfs.refcount that implement JDataRef
Modifier and Type
Class
Description
`final record`
`JDataNormalRef`
Methods in com.usatiuk.dhfs.refcount that return types with arguments of type JDataRef
Modifier and Type
Method
Description
`org.pcollections.PCollection<JDataRef>`
JDataRefcounted.`refsFrom()`
Methods in com.usatiuk.dhfs.refcount with parameters of type JDataRef
Modifier and Type
Method
Description
`int`
JDataNormalRef.`compareTo(JDataRef o)`
Method parameters in com.usatiuk.dhfs.refcount with type arguments of type JDataRef
Modifier and Type
Method
Description
`JDataRefcounted`
JDataRefcounted.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`

## Uses of JDataRef in com.usatiuk.dhfs.remoteobj

Methods in com.usatiuk.dhfs.remoteobj that return types with arguments of type JDataRef
Modifier and Type
Method
Description
`org.pcollections.PCollection<JDataRef>`
RemoteObjectDataWrapper.`refsFrom()`
Returns the value of the `refsFrom` record component.
`org.pcollections.PCollection<JDataRef>`
RemoteObjectMeta.`refsFrom()`
Returns the value of the `refsFrom` record component.
Method parameters in com.usatiuk.dhfs.remoteobj with type arguments of type JDataRef
Modifier and Type
Method
Description
`RemoteObjectDataWrapper<T>`
RemoteObjectDataWrapper.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`
`RemoteObjectMeta`
RemoteObjectMeta.`withRefsFrom(org.pcollections.PCollection<JDataRef> refs)`
Constructor parameters in com.usatiuk.dhfs.remoteobj with type arguments of type JDataRef
Modifier
Constructor
Description
``
`RemoteObjectDataWrapper(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, T data)`
Creates an instance of a `RemoteObjectDataWrapper` record class.
``
`RemoteObjectMeta(JObjectKey key, org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, org.pcollections.PMap<PeerId,Long> knownRemoteVersions, Class<? extends JDataRemote> knownType, org.pcollections.PSet<PeerId> confirmedDeletes, boolean seen, org.pcollections.PMap<PeerId,Long> changelog, boolean hasLocalData)`
Creates an instance of a `RemoteObjectMeta` record class.